File xchat-no-versionscript.patch of Package xchat

---
 configure.in |    4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

Index: xchat-2.8.6/configure.in
===================================================================
--- xchat-2.8.6.orig/configure.in
+++ xchat-2.8.6/configure.in
@@ -448,8 +448,9 @@ if test "$plugin" = yes; then
 		else
 			VS="`$LD --help | grep version-script 2> /dev/null`"
 		fi
+		VERSION_CMD=""
 		if test "$VS" != ""; then
-			GUI_LIBS="$GUI_LIBS -Wl,--version-script,\$(srcdir)/../version-script"
+			VERSION_CMD="-Wl,--version-script,\$(srcdir)/../version-script"
 		fi
 	else
 		plugin=no
@@ -739,6 +740,7 @@ GUI_LIBS="$GUI_LIBS $COMMON_LIBS"
 
 dnl make these visible to all Makefiles
 AC_SUBST(GUI_LIBS)
+AC_SUBST(VERSION_CMD)
 AC_SUBST(GUI_CFLAGS)
 AC_SUBST(COMMON_LIBS)
 AC_SUBST(COMMON_CFLAGS)